Bug 111510 - mozilla SRPM does not build with 2.6 kernel
Summary: mozilla SRPM does not build with 2.6 kernel
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-04 19:42 UTC by William Cohen
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-12 18:14:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description William Cohen 2003-12-04 19:42:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
No mozilla/security/coreconf/Linux2.6.mk. There is a Linux2.5.mk file.
Should probably just copy Linux2.5.mk to Linux2.6.mk.

Version-Release number of selected component (if applicable):
mozilla-1.4.1-18 kernel-smp-2.6.0-0.test11.1.99

How reproducible:
Always

Steps to Reproduce:
1. Install mozilla SRPM and 2.6 kernel from arjan'v people page
2. Reboot machine with 2.6 kernel
3. "rpmbuild -ba mozilla.spec"
    

Actual Results:  Error message of of the following.

../coreconf/config.mk:67: ../coreconf/Linux2.6.mk: No such file or
directory
../coreconf/config.mk:167: no file name for `-include'
/usr/bin/gmake -j1: *** No rule to make target
../coreconf/Linux2.6.mk.  Stop.
gmake[2]: *** [../coreconf/Linux2.6.mk] Error 1
gmake[2]: Leaving directory
`/home/wcohen/rh-rpms/BUILD/mozilla/security/coreconf'
gmake[1]: *** [.nss.cleaned] Error 2
gmake[1]: Leaving directory
`/home/wcohen/rh-rpms/BUILD/mozilla/security/manager'
make: *** [export] Error 2
e

Expected Results:  Build mozilla RPMs

Additional info:

Comment 1 Christopher Blizzard 2004-01-20 19:32:40 UTC
Gonna have to fix this one.

Comment 2 David Baron 2004-01-20 19:38:52 UTC
Linux2.6.mk was added to Mozilla on 2003-07-19 and is in all releases
since 1.5b and could easily be ported to the 1.4 branch.  That said, I
wish we didn't have to deal with the NSS build system.

Comment 3 Christopher Blizzard 2004-02-12 18:14:06 UTC
Rawhide includes 1.6 at this point so this is fixed.


Note You need to log in before you can comment on or make changes to this bug.